net.minecraft.client.audio

## Enum MusicTicker.MusicType

- java.lang.Object
- - java.lang.Enum<MusicTicker.MusicType>
  - - net.minecraft.client.audio.MusicTicker.MusicType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MusicTicker.MusicType>
  Enclosing class:
    MusicTicker

      public static enum MusicTicker.MusicType
      extends java.lang.Enum<MusicTicker.MusicType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATIVE`
    `CREDITS`
    `END`
    `END_BOSS`
    `GAME`
    `MENU`
    `NETHER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_148633_c()`
    `int` | `func_148634_b()`
    `ResourceLocation` | `getMusicTickerLocation()`
    `static MusicTicker.MusicType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MusicTicker.MusicType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MENU

          public static final MusicTicker.MusicType MENU

    - #### GAME

          public static final MusicTicker.MusicType GAME

    - #### CREATIVE

          public static final MusicTicker.MusicType CREATIVE

    - #### CREDITS

          public static final MusicTicker.MusicType CREDITS

    - #### NETHER

          public static final MusicTicker.MusicType NETHER

    - #### END_BOSS

          public static final MusicTicker.MusicType END_BOSS

    - #### END

          public static final MusicTicker.MusicType END

  - ### Method Detail

    - #### values

          public static MusicTicker.MusicType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MusicTicker.MusicType c : MusicTicker.MusicType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MusicTicker.MusicType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMusicTickerLocation

          public ResourceLocation getMusicTickerLocation()

    - #### func_148634_b

          public int func_148634_b()

    - #### func_148633_c

          public int func_148633_c()